package test;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.event.ActionEvent;

@ManagedBean
@SessionScoped
public class Bean {

    List<Entity> data;
    Entity selectedEntity;
    private boolean view;

    public Bean() {
        data = EntityService.getEntityList();
    }

    public void view(ActionEvent e) {
        System.out.println("View called!");
        //setSelectedEntity((Entity)e.getComponent().getAttributes().get("selEntity"));
        view = true;
    }

    public void close(ActionEvent e) {
        view = false;
    }

    public List<Entity> getData() {
        return data;
    }

    public void setData(List<Entity> data) {
        this.data = data;
    }

    public Entity getSelectedEntity() {
        return selectedEntity;
    }

    public void setSelectedEntity(Entity selectedEntity) {
        System.out.println("setSelectedEntity - " + selectedEntity.getName());
        this.selectedEntity = selectedEntity;
    }

    public boolean isView() {
        return view;
    }

    public void setView(boolean view) {
        this.view = view;
    }
}
